//Copyright (C) 2007 SiegeLord
//See ReadMe.txt and License.txt for copying information

#pragma once
#include "objectex.h"

struct SWeapon;
struct SThrusterParticleHolder;

struct SIonBeam : SObjectEx
{
	SIonBeam()
	{
		type = ionbeam_type;
		dead = false;
	}

	virtual ~SIonBeam();
	virtual int Handle();
	virtual void Draw();

	int target_ship_id;
	
	SWeapon* weapon;
	
	float target_range;
	
	SThrusterParticleHolder* thruster;
	
	float max_range;

	float max_life;

	float life;

	float min_damage;
	float max_damage;

	SBitmap* image;
};

SIonBeam* CreateIonBeam(SObject* parent, SWeapon* source_weapon, float target_range, int ship_id);
